Main Page Widgets Namespaces Book

# Gtk::ComboDropDown Class Reference

Inheritance diagram for Gtk::ComboDropDown:

[legend]
List of all members.

## Detailed Description

The dropdown list of a Combo.

A combo is a compound widget which crosses a text entry area and a pull down list. The dropdown list is implemented with the deprecated GtkList widget on the gtk+ side. ComboDropDown is a thin wrapper around GtkList containing just the functionality necessary for a Combo's list. To add and remove items use the STL-style interface that is accessible through ComboDropDown::children().

Deprecated:
  Use the ComboBox widget instead.

## Public Types
typedef ComboDropDown_Helpers::ComboDropDownList | ComboDropDownList
## Public Member Functions
const ComboDropDownList& | children () const
ComboDropDownList& | children ()
const GtkList* | gobj () const
| Provides access to the underlying C GtkObject.
GtkList* | gobj ()
| Provides access to the underlying C GtkObject.
void | scroll_horizontal (ScrollType scroll_type, float position)
void | scroll_vertical (ScrollType scroll_type, float position)
Glib::SignalProxy1< void, Widget& > | signal_select_child ()
| Prototype: `void on_my_select_child(Widget& item)`
Glib::SignalProxy0<void> | signal_selection_changed ()
| Prototype: `void on_my_selection_changed()`
Glib::SignalProxy1< void, Widget& > | signal_unselect_child ()
| Prototype: `void on_my_unselect_child(Widget& item)`
virtual | ~ComboDropDown ()
## Protected Member Functions
| ComboDropDown ()
virtual void | on_select_child (Widget& item)
virtual void | on_selection_changed ()
virtual void | on_unselect_child (Widget& item)
## Friends
class | Combo
## Related Functions
(Note that these are not member functions.)
Gtk::ComboDropDown* | wrap (GtkList* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Member Typedef Documentation

typedef ComboDropDown_Helpers::ComboDropDownList Gtk::ComboDropDown::ComboDropDownList

## Constructor & Destructor Documentation

virtual Gtk::ComboDropDown::~ComboDropDown | ( |  | ) | `[virtual]`

Gtk::ComboDropDown::ComboDropDown | ( |  | ) | `[protected]`

## Member Function Documentation

const ComboDropDownList& Gtk::ComboDropDown::children | ( |  | ) | const

ComboDropDownList& Gtk::ComboDropDown::children | ( |  | ) |

const GtkList* Gtk::ComboDropDown::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Container.

GtkList* Gtk::ComboDropDown::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Container.

virtual void Gtk::ComboDropDown::on_select_child | ( | Widget& | item | ) | `[protected, virtual]`

virtual void Gtk::ComboDropDown::on_selection_changed | ( |  | ) | `[protected, virtual]`

virtual void Gtk::ComboDropDown::on_unselect_child | ( | Widget& | item | ) | `[protected, virtual]`

void Gtk::ComboDropDown::scroll_horizontal | ( | ScrollType | scroll_type,
|  | float | position |
| ) |  |  |

void Gtk::ComboDropDown::scroll_vertical | ( | ScrollType | scroll_type,
|  | float | position |
| ) |  |  |

Glib::SignalProxy1<void,Widget&> Gtk::ComboDropDown::signal_select_child | ( |  | ) |

Prototype:
  `void on_my_select_child(Widget& item)`

Glib::SignalProxy0< void > Gtk::ComboDropDown::signal_selection_changed | ( |  | ) |

Prototype:
  `void on_my_selection_changed()`

Glib::SignalProxy1<void,Widget&> Gtk::ComboDropDown::signal_unselect_child | ( |  | ) |

Prototype:
  `void on_my_unselect_child(Widget& item)`

## Friends And Related Function Documentation

friend class Combo`[friend]`

Gtk::ComboDropDown* wrap | ( | GtkList * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- combo.h